Get All Secrets V2

Get All Secrets V2
Get all secrets

Get all secrets with specified paging parameters.

Request
URI
GET
https://vcf-stls-wcp-pod13-137.lvn.broadcom.net/platform/api/secrets
COPY
Query Parameters
string
projectId
Optional

The id of the project

string
apiVersion
Optional

The version of the API in yyyy-MM-dd format. For versioning information refer to /platform/api/about.

apiVersion example
2023-01-01

Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with secrets on pages

Returns PageOfSecrets of type(s) */*
{
    "totalElements": 0,
    "totalPages": 0,
    "pageable": {
        "paged": false,
        "pageNumber": 0,
        "pageSize": 0,
        "offset": 0,
        "sort": {
            "sorted": false,
            "empty": false,
            "unsorted": false
        },
        "unpaged": false
    },
    "size": 0,
    "content": [
        {
            "orgId": "string",
            "projectId": "string",
            "projectIds": [
                "string"
            ],
            "projectName": "string",
            "id": "8365ef3b-8bf3-48aa-bd5d-7113fcff827c",
            "name": "my-name",
            "description": "string",
            "value": "my-value",
            "orgScoped": false,
            "createdBy": "exampleuser",
            "updatedBy": "exampleuser",
            "createdAt": "2019-09-16 09:25:38.065065+00",
            "updatedAt": "2019-09-16 09:25:38.065065+00"
        }
    ],
    "number": 0,
    "sort": {
        "sorted": false,
        "empty": false,
        "unsorted": false
    },
    "numberOfElements": 0,
    "first": false,
    "last": false,
    "empty": false
}

401

Unauthorized, the user is not authenticated

Operation doesn't return any data structure

403

Forbidden, the user lacks permissions

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/platform/api/secrets